Bug 870985 - 3.2 - api: vdsm.netinfo uses out of pythonlib dependency
3.2 - api: vdsm.netinfo uses out of pythonlib dependency
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Dan Kenigsberg
Meni Yakove
network
: CodeChange, EasyFix
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-10-29 06:34 EDT by Alon Bar-Lev
Modified: 2016-02-10 14:56 EST (History)
7 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alon Bar-Lev 2012-10-29 06:34:57 EDT
CURRENT BEHAVIOUR

vdsm.netinfo uses vdsm.libvirtconnection which uses libvirtev.

libvirtev is located at /usr/share/vsdsm, hence trying to import vdsm.netinfo fails.

EXPECTED BEHAVIOUR

API (or any packages installed at pythonlib) should not depend on any external resource.
Comment 2 Dan Kenigsberg 2012-11-24 03:46:50 EST
http://gerrit.ovirt.org/#/c/9435/
Comment 3 Yaniv Kaul 2012-12-04 12:03:53 EST
What's to test here?
Comment 4 Dan Kenigsberg 2012-12-14 00:40:57 EST
(In reply to comment #3)
> What's to test here?

Not much. That installation and vdsm still works.
Comment 5 Meni Yakove 2013-01-07 03:52:50 EST
Installed vdsm-4.10.2-3.0.el6ev.x86_64.
Comment 7 Itamar Heim 2013-06-11 05:42:36 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 05:42:50 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 05:54:35 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.